Bug 237777 - games/stuntrally: fix build with GCC-based architectures
Summary: games/stuntrally: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-07 18:46 UTC by Piotr Kubaj
Modified: 2019-05-29 07:33 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments
patch (535 bytes, patch)
2019-05-07 18:48 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (amdmi3)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-05-07 18:46:03 UTC

    
Comment 1 Piotr Kubaj freebsd_committer 2019-05-07 18:48:07 UTC
Created attachment 204248 [details]
patch

Add -Wno-narrowing to CXXFLAGS when using GCC to fix build error.

Log with error at https://talos.anongoth.pl/data/powerpc64-default/2019-05-05_01h04m26s/logs/errors/stuntrally-2.6.1_1.log
Comment 2 commit-hook freebsd_committer 2019-05-29 07:33:35 UTC
A commit references this bug:

Author: pkubaj
Date: Wed May 29 07:33:24 UTC 2019
New revision: 502933
URL: https://svnweb.freebsd.org/changeset/ports/502933

Log:
  games/stuntrally: fix build with GCC-based architectures

  Add -Wno-narrowing to CXXFLAGS when using GCC to fix build error.

  PR:		237777
  Approved by:	tcberner (mentor), amdmi3 (maintainer timeout)
  Differential Revision:	https://reviews.freebsd.org/D20441

Changes:
  head/games/stuntrally/Makefile